using AutoMapper;

namespace skydiveLogs_api.Mapper
{
    public class ModelProfile : Profile
    {
        public ModelProfile()
        {
            CreateMap<DataContract.JumpReq, Model.Jump>();
            CreateMap<DataContract.JumpTypeReq, Model.JumpType>();
            CreateMap<DataContract.AircraftReq, Model.Aircraft>();
            CreateMap<DataContract.DropZoneReq, Model.DropZone>();
            CreateMap<DataContract.GearReq, Model.Gear>();
            CreateMap<DataContract.UserReq, Model.User>();

            CreateMap<Model.Gear, DataContract.GearResp>();
            CreateMap<Model.Jump, DataContract.JumpResp>();
            CreateMap<Model.JumpType ,DataContract.JumpTypeResp>();
            CreateMap<Model.Aircraft ,DataContract.AircraftResp>();
            CreateMap<Model.DropZone ,DataContract.DropZoneResp>();
            CreateMap<Model.Statistic ,DataContract.StatisticResp>();
            CreateMap<Model.User, DataContract.UserResp>();

            CreateMap<Model.SimpleSummary, DataContract.SimpleSummaryResp>();
        }
    }
}
